binfile.h File Reference

Binary file formats definitions. More...

`#include <itpp/itexports.h>`
`#include <itpp/base/ittypes.h>`
`#include <itpp/base/binary.h>`
`#include <fstream>`

Go to the source code of this file.

## Classes

class | itpp::bfstream_base
| Base class for binary file classes. More...
class | itpp::binfile_details::Ofstream_Binfile_Facade
| Ofstream Interface Facade for Binary Streams. More...
class | itpp::binfile_details::Ifstream_Binfile_Facade
| Ifstream Interface Facade for Binary Streams. More...
class | itpp::binfile_details::Fstream_Binfile_Facade
| Fstream Interface Facade for Binary Streams. More...
class | itpp::bofstream
| Binary Outfile Class. More...
class | itpp::bifstream
| Binary Infile Class. More...
class | itpp::bfstream
| Binary in/out-file Class. More...

## Namespaces

namespace | itpp
| itpp namespace

## Functions

bool | itpp::exist (const std::string &name)
| Checks if a file named `name` already exists on the disk.

## Detailed Description

Binary file formats definitions.

Author
  Tony Ottosson, Thomas Eriksson, Adam Piatyszek and Andy Panov

Copyright (C) 1995-2013 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file binfile.h.

Generated on for IT++ by Doxygen 1.15.0